> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch customer

> Partially update a customer. Only provided fields will be updated.



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json patch /api/v1/customers/{id_or_alias}
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
paths:
  /api/v1/customers/{id_or_alias}:
    patch:
      tags:
        - Customers
      summary: Patch customer
      description: Partially update a customer. Only provided fields will be updated.
      operationId: patch_customer
      parameters:
        - name: id_or_alias
          in: path
          description: customer ID or alias
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerPatchRequest'
        required: true
      responses:
        '200':
          description: Customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    CustomerPatchRequest:
      type: object
      properties:
        alias:
          type:
            - string
            - 'null'
        billing_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        billing_email:
          type:
            - string
            - 'null'
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Currency'
        custom_taxes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/CustomTaxRate'
        invoicing_emails:
          type:
            - array
            - 'null'
          items:
            type: string
        invoicing_entity_id:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/InvoicingEntityId'
        is_tax_exempt:
          type:
            - boolean
            - 'null'
        name:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        shipping_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ShippingAddress'
        vat_number:
          type:
            - string
            - 'null'
    Customer:
      type: object
      required:
        - id
        - name
        - invoicing_emails
        - currency
        - invoicing_entity_id
        - custom_taxes
      properties:
        alias:
          type:
            - string
            - 'null'
        billing_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        billing_email:
          type:
            - string
            - 'null'
        connected_account_id:
          type:
            - string
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        custom_taxes:
          type: array
          items:
            $ref: '#/components/schemas/CustomTaxRate'
        id:
          $ref: '#/components/schemas/CustomerId'
        invoicing_emails:
          type: array
          items:
            type: string
        invoicing_entity_id:
          $ref: '#/components/schemas/InvoicingEntityId'
        name:
          type: string
        phone:
          type:
            - string
            - 'null'
        shipping_address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ShippingAddress'
        vat_number:
          type:
            - string
            - 'null'
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    Address:
      type: object
      properties:
        city:
          type:
            - string
            - 'null'
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryCode'
        line1:
          type:
            - string
            - 'null'
        line2:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        zip_code:
          type:
            - string
            - 'null'
    Currency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWL
      examples:
        - EUR
    CustomTaxRate:
      type: object
      required:
        - tax_code
        - name
        - rate
      properties:
        name:
          type: string
        rate:
          type: string
        tax_code:
          type: string
    InvoicingEntityId:
      type: string
      format: MeteroidId
      examples:
        - ive_7n42DGM5Tflk9n8mt7Fhc7
    ShippingAddress:
      type: object
      required:
        - same_as_billing
      properties:
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        same_as_billing:
          type: boolean
    CustomerId:
      type: string
      format: MeteroidId
      examples:
        - cus_7n42DGM5Tflk9n8mt7Fhc7
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
    CountryCode:
      type: string
      format: CountryCode
      examples:
        - US
        - GB
        - FR
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````